> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get if user has all provided volume permissions

> Get if user has all provided volume permissions



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /remotefs/v1/account/authz/permissions/volume/:id
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/account/authz/permissions/volume/:id:
    post:
      tags:
        - NetApp Volumes
      summary: Get if user has all provided volume permissions
      description: Get if user has all provided volume permissions
      parameters:
        - description: ID of Volume to check permissions against
          name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/data-remotefs-service_server.VolumePermissionsRequest
        description: Volume permissions and user to check against
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: boolean
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_server.VolumePermissionsRequest:
      type: object
      required:
        - mustHave
        - principal
      properties:
        mustHave:
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.Permission'
        principal:
          $ref: '#/components/schemas/data-remotefs-service_server.Principal'
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.Permission:
      type: string
      enum:
        - ManageFilesystems
        - ViewFilesystems
        - CreateVolumes
        - ManageVolumesForExecution
        - ManageVolumes
        - ReadVolumes
        - ViewVolumes
        - MarkVolumesForDeletion
        - DeleteVolumes
        - EditSecurityVolumes
        - EditTaxonomyTags
        - EditPropertyValues
        - WorkbenchPermission.PerformNetAppActionsInProject
        - ReadUserPermissions
        - ImpersonateUser
      x-enum-varnames:
        - ManageFilesystems
        - ViewFilesystems
        - CreateVolumes
        - ManageVolumesForExecution
        - ManageVolumes
        - ReadVolumes
        - ViewVolumes
        - MarkVolumesForDeletion
        - DeleteVolumes
        - EditSecurityVolumes
        - EditTaxonomyTags
        - EditPropertyValues
        - PerformNetAppActionsInProject
        - ReadUserPermissions
        - ImpersonateUser
    data-remotefs-service_server.Principal:
      type: object
      required:
        - token
      properties:
        token:
          type: string

````

## Related topics

- [Gets all permissions for requesting user](/api-reference/netapp-volumes-transfers/gets-all-permissions-for-requesting-user.md)
- [Get all active Data Sources the user has access to](/api-reference/data-sources/get-all-active-data-sources-the-user-has-access-to.md)
- [Gets all non-archived Deployment Targets based on the provided filters](/api-reference/model-deployment/gets-all-non-archived-deployment-targets-based-on-the-provided-filters.md)
- [Datasets administration](/cloud/admin/data-administration/datasets.md)
